# Update a customer **PATCH /customers/{customerId}** Update details of a specific customer identified by its uinque customer ID, and receive the updated details in return. ## Servers - https://rest.api.24sevenoffice.com/v1: https://rest.api.24sevenoffice.com/v1 () ## Authentication methods - Tfso ## Parameters ### Headers - **Authorization** (string) Authorization header ### Path parameters - **customerId** (integer(int32)) A unique identifier for the customer within Finago Office CRM. ### Body: application/json (object) - **person** (object) The first and the last name of a customer if the customer is a person. - **name** (string | null) A human-readable name or label for a customer, making it easily identifiable to users. - **organizationNumber** (string | null) The organization number issued by authorities, like a VAT number, of the customer if the customer is a company. - **externalReference** (string | null) An optional field for referencing the customer with an ID from an external system, like an ERP or invoicing system. - **isSupplier** (boolean) A flag variable indicating whether the customer is also a supplier (true) or not (false). - **address** (object) Addresses for the customer. - **email** (object) Email addresses for the customer. - **phone** (string | null) A phone number for contacting the customer. - **mobilePhone** (string | null) A mobile phone number for contacting the customer. ## Responses ### 200 Success #### Headers - **Access-Control-Allow-Origin** (string) - **Access-Control-Allow-Credentials** (string) - **X-Trace-Id** (string) #### Body: application/json (object) - **id** (integer(int32)) A unique identifier for the customer within Finago Office CRM. This ID is used for reference and linking transactions to specific customers. - **name** (string | null) A human-readable name or label for a customer, making it easily identifiable to users. - **externalReference** (string | null) An optional field for referencing the customer with an ID from an external system, like an ERP or invoicing system. - **pricelistId** (integer) The ID of the pricelist associated with this customer for pricing. - **person** (object) The first and the last name of a customer if the customer is a person. - **isCompany** (boolean) A flag variable indicating whether the customer is a company (true) or a person (false). - **isSupplier** (boolean) A flag variable indicating whether the customer is also a supplier (true) or not (false). - **organizationNumber** (string | null) The organization number issued by authorities, like a VAT number, of the customer if the customer is a company. - **address** (object) Addresses for the customer. - **email** (object) Email addresses for the customer. - **phone** (string | null) A phone number for contacting the customer. - **mobilePhone** (string | null) A mobile phone number for contacting the customer. - **createdAt** (string) A timestamp for when a record was created, in ISO 8601 format. - **modifiedAt** (string) A timestamp for when one of the properties of a record was last modified, in ISO 8601 format. ### 401 Unauthorized. Missing or invalid bearer token. #### Headers - **Access-Control-Allow-Origin** (string) - **Access-Control-Allow-Credentials** (string) - **X-Trace-Id** (string) [Powered by Bump.sh](https://bump.sh)